import javabook.*;
class Array2DExample {

  public static void main (String [] args) {
        
	MainWindow mw = new MainWindow("2D Array Example");
	InputBox ib = new InputBox(mw);
	OutputBox ob = new OutputBox(mw);

    mw.show();
	ob.show();

	int nRows = ib.getInteger("Enter number of rows: ");
	int nColumns = ib.getInteger("Enter number of columns: ");

	// 2D Array of nRows rows and nColumns columns 
    int [][] number = new int[nRows][nColumns];

	// Read values into 2D array
	// Note number.length is the number of rows
	// Note number[i].length is the number of columns in row i 

    for(int i = 0; i < number.length; i++) 
      for(int j = 0; j < number[i].length; j++) 
	    number[i][j] = ib.getInteger("Enter value for row "+
		                           i + ",column "+j );

    ob.printLine("*************");
	// Display the array
    for(int i = 0; i < number.length; i++) { 
      for(int j = 0; j < number[i].length; j++) 
	    ob.print(number[i][j]+ " ");
      ob.skipLine(1);
    }
	    


    } // end of main

}
